## did-java-sdk 使用文档

### 环境依赖

```
jdk17
```

### jar 包引用

#### 方式一：直接导入jar包

#### 方式二：jar包安装

```sh进入源码目录执行安装
cd did-sdk-java
gradle publishToMavenLocal
```

#### maven 配置

```xml
<dependency>
    <groupId>org.chainweaver</groupId>
    <artifactId>did-sdk-java</artifactId>
    <version>1.1.1</version>
</dependency>
```

#### gradle 配置

```gradle
implementation 'org.chainweaver:did-sdk-java:1.1.1'
```

### 接口说明

参考 java doc文件

[docs/index.html](docs/org/chainweaver/sdk/DidClient.html)

### 参考代码

```java
// 新建一个与DID管理台连接的客户端
DidClient didClient = new DidClient();

// 设置管理台的访问地址，可在启动管理台时配置端口
didClient.setHost("http://host:port");

// 登录管理台，
didClient.login("137xxxx0111", "admin");

// 登录成功后，可正常请求
// 根据did获取did文档
Response<Document> document = didClient.documentGet("did:cnbn:5c124dcb445544338afacfa8182f620a");

if (document != null && Objects.equals(document.getCode(), StatusCode.SUCCESS.getCode())) {
    System.out.println(document.toString());
} else {
    System.out.println(document.getMessage() + " " + document.getCode());
}
```



### v0.5 版本升级说明

- 本次升级可设置host根据使用情况配置https或者http

```java
DidClient didClient = new DidClient("https://host:port");
```
- 本次升级可设置keepAlive状态，若为true则会持续更新登录token
- 
```java
DidClient didClient = new DidClient("http://host:port", true);
```