[toc]

#  did-sdk-java 修改记录

## v1.1.1

**全局：**

- 登录适配`1.1.0`和`0.5`版本


## v1.1.0

**全局：**

- 新增`Document`、`VerifiableCredential`、`VerifiablePresentation`中`context`默认值
- 登录接口出入参改变


## v0.5

**全局：**

- 修改api前缀由did改完did-mgr
- 增加https模式
- 增加token刷新机制，每隔过期时间的一半，主动刷新token
- 返回错误码为200000，junit增加assert断言

**详情：**

| 方法                          | 动作  | 改动点 | 参考接口文档章节    |
|-----------------------------|-----|-----|-------------|
| Property中`reg`参数改为`pattern` | 更新  |     | 签名vp`2.5.8` |

## v0.4

**全局：**

- Document、Proof、Service、Vc、Vp、VerificationMethod结构按照ASCII排序
- ApplyBusinessLicenseExtend中vctId序列化成VCTId进行删除，保持vctId
- type默认值从SM2ASN1修改为SM2C1C3C2


## v0.3

**全局：**

- `org.chainweaver.sdk`路径改为`org.chainweaver.did.sdk`
- 新增loginExtend对象
- Plaintext新增genMsgEncryptWithBase64和genMsgSignWithBase64，需要传入Base64加密之后的字符串
- 更新ChainWeaverException

**详情：**

| 方法                           | 动作  | 改动点                                                                                                                                    | 参考接口文档章节        |
|------------------------------|-----|----------------------------------------------------------------------------------------------------------------------------------------|-----------------|
| DidClient.vpSign             | 更新  | vpSign重构，修改为`public <T> Response<VerifiablePresentation<T>> vpSign(VerifiablePresentation vp, Class<T> tClass)`, T为p参数返回的extend对象class | 签名vp`2.6.1`     |
| DidClient.vpCreateApplyLogin | 更新  | 登录Vp中Extend使用LoginExtend                                                                                                               | 生成请求登录vp`3.1`   |
| DidClient.genMsgEncrypt      | 更新  | 传入的plaintext，会对其内部进行base64加密                                                                                                           | 生成请求登录vp`3.1`   |
| DidClient.genMsgSign         | 更新  | 传入的plaintext，会对其内部进行base64加密                                                                                                           | 生成请求登录vp`3.1`   |

## v0.2

**全局：**

- VP的proof从单个改为数组，object改为object[]。
- 删除action字段，使用VP中的presentationUsage代替，presentationUsage枚举详见：接口文档`VP中presentationUsage含义值`章节
- 服务端从mock切换至预定义的DID的真实逻辑
- VerifiablePresentation对象修改为`VerifiablePresentation<T>`
- VerifiablePresentation中verifiableCredential字段从`List<String> `变更为`List<VerifiableCredential> `
- VerifiablePresentation构造体更新，去除expirationDate，改为自动由当前时间加5分钟，增加vpCreateApplyBusinessLicense和vpCreateApplyLogin方法，用于定义Vp对象
- IssueVc构造体更新，去除expirationDate，改为自动由当前时间加5分钟
- Page对象page和pageSize从Integer改为int，防止序列化出现1.0(float)的情况
- 新增ApplyBusinessLicenseExtend对象
- 新增VCTExtend对象

**详情：**

| 方法                                     | 动作  | 改动点                                                                                                         | 参考接口文档章节        |
|----------------------------------------|-----|-------------------------------------------------------------------------------------------------------------|-----------------|
| DidClient.vctemplateCreate             | 更新  | 删除签名信息，请求入参不需要签名                                                                                            | 申请VCT`2.5.7`    |
| DidClient.vpCreateApplyBusinessLicense | 更新  | 添加字段：callbackUrl、requestId，删除字段action,返回参数变更为`Response<VerifiablePresentation<ApplyBusinessLicenseExtend>>` | 生成请求企业实名VP`3.2` |
| DidClient.health                        | 新增  | 新增健康检查方法`public Response<DidHealth> health() `                                                              | 健康检查`2.4.5`     |
| DidClient.vpCreateApplyLogin            | 新增  | 新增生成请求登录Vp`public Response<VerifiablePresentation> vpCreateApplyLogin(VerifiablePresentation vp)  `         | 生成请求登录vp`3.1`   |
| DidClient.vpVerify                        | 新增  | 新增vpVerify重载方法,重载参数类型为String，内容为Vp结构的json序列化字符串                                                             | 验证vp`2.4.4`     |
| DidClient.vpSign                        | 更新  | vpSign重构，修改为`public <T, U> T  vpSign(VerifiablePresentation vp, Class<U> u)`, T为Resp，U为Vp参数返回的extend对象class | 签名vp`2.6.1`     |
| DidClient.vpCreateAuthView               | 删除  |  |      |


## v0.1

初始版本
