package org.chainweaver.did.sdk;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

public class TokenTask {

    private static TokenTask instance;

    private String phoneNumber;

    private String password;

    private DidClient didClient;

    private ScheduledExecutorService scheduler;

    private TokenTask(String username, String password, DidClient didClient) {
        this.phoneNumber = username;
        this.password = password;
        this.didClient = didClient;
        scheduler = Executors.newScheduledThreadPool(1);
    }

    public static synchronized TokenTask getInstance(String username, String password, DidClient didClient) {
        if (instance == null) {
            instance = new TokenTask(username, password, didClient);
        }
        return instance;
    }

    public void startTokenTask(long currentTime) {
        long time = currentTime * 1000 - System.currentTimeMillis();
        scheduler.schedule(this::updateToken, time/ 2, TimeUnit.MILLISECONDS); // 每隔1秒触发一次方法
    }

    public void updateToken() {
        System.out.println(didClient.login(phoneNumber, password));
    }

    public void stopTokenTask() {
        scheduler.shutdown();
    }

}
