/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model;

/**
 * 公钥结构
 */
public class VerificationMethod {

    /**
     * 地址
     */
    private String address;

    /**
     * 拥有者
     */
    private String controller;

    /**
     * 公钥id
     */
    private String id;

    /**
     * pem格式公钥
     */
    private String publicKeyPem;

    /**
     * 类型
     */
    private String type;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getController() {
        return controller;
    }

    public void setController(String controller) {
        this.controller = controller;
    }

    public String getPublicKeyPem() {
        return publicKeyPem;
    }

    public void setPublicKeyPem(String publicKeyPem) {
        this.publicKeyPem = publicKeyPem;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public VerificationMethod() {}

    @Override
    public String toString() {
        return "VerificationMethod{" +
                "address='" + address + '\'' +
                ", controller='" + controller + '\'' +
                ", id='" + id + '\'' +
                ", publicKeyPem='" + publicKeyPem + '\'' +
                ", type='" + type + '\'' +
                '}';
    }
}
