/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model.resp;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gson.annotations.SerializedName;
import org.chainweaver.did.sdk.model.req.Property;

import java.util.List;
import java.util.Map;

public class VcTInfo {

    @SerializedName("$schema")
    @JsonProperty("$schema")
    private  String schema;

    private String type;

    private Map<String, Property> properties;

    private List<String> required;

    private Boolean additionalProperties;

    private String id;

    private String name;

    private String vcType;

    private String created;

    private String creator;

    private String version;


    public String getSchema() {
        return schema;
    }

    public void setSchema(String schema) {
        this.schema = schema;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Map<String, Property> getProperties() {
        return properties;
    }

    public void setProperties(Map<String, Property> properties) {
        this.properties = properties;
    }

    public List<String> getRequired() {
        return required;
    }

    public void setRequired(List<String> required) {
        this.required = required;
    }

    public Boolean getAdditionalProperties() {
        return additionalProperties;
    }

    public void setAdditionalProperties(Boolean additionalProperties) {
        this.additionalProperties = additionalProperties;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVcType() {
        return vcType;
    }

    public void setVcType(String vcType) {
        this.vcType = vcType;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public VcTInfo() {}


    @Override
    public String toString() {
        return "VcTInfo{" +
                "schema='" + schema + '\'' +
                ", type='" + type + '\'' +
                ", properties=" + properties +
                ", required=" + required +
                ", additionalProperties=" + additionalProperties +
                ", id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", vcType='" + vcType + '\'' +
                ", created='" + created + '\'' +
                ", creator='" + creator + '\'' +
                ", version='" + version + '\'' +
                '}';
    }
}
